## com.google.javascript.jscomp
Enum CheckLevel

    java.lang.Object
      java.lang.Enum<CheckLevel>
          com.google.javascript.jscomp.CheckLevel

All Implemented Interfaces:
  Serializable, Comparable<CheckLevel>

    public enum CheckLevel

extends Enum<CheckLevel>

Controls checking levels of certain options. For all checks going forward, this should be used instead of booleans, so teams and individuals can control which checks are off, which produce only warnings, and which produce errors, without everyone having to agree.

Enum Constant Summary
`ERROR`
`OFF`
`WARNING`

Method Summary
`static CheckLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final CheckLevel ERROR

### WARNING

    public static final CheckLevel WARNING

### OFF

    public static final CheckLevel OFF

Method Detail

### values

    public static CheckLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CheckLevel c : CheckLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CheckLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null